Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 634448 - dev-db/mariadb-10.2.9 blocks dev-db/mysql-connector-c-6.1.9-r1
Summary: dev-db/mariadb-10.2.9 blocks dev-db/mysql-connector-c-6.1.9-r1
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux MySQL bugs team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-16 14:36 UTC by Martin Mokrejš
Modified: 2018-03-01 13:51 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Mokrejš 2017-10-16 14:36:17 UTC
I would say this is a dupe of bug #560732 but you say ...


Anyway, I do not understand why 

# emerge @preserved-rebuild --backtrack=30000 --keep-going

 * IMPORTANT: 1 news items need reading for repository 'science'.
 * IMPORTANT: 27 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

Calculating dependencies... done!
[ebuild   R    ] dev-haskell/asn1-encoding-0.9.5 
[ebuild   R    ] dev-haskell/crypto-cipher-types-0.0.9 
[ebuild   R    ] dev-haskell/crypto-random-0.0.9 
[ebuild   R    ] dev-haskell/asn1-parse-0.9.4 
[ebuild   R    ] dev-haskell/cipher-des-0.0.6 
[ebuild   R    ] dev-haskell/cipher-aes-0.2.11 
[ebuild   R    ] dev-haskell/cipher-rc4-0.1.4 
[ebuild   R    ] dev-haskell/x509-1.6.5 
[ebuild   R    ] dev-haskell/x509-store-1.6.2 
[ebuild   R    ] dev-haskell/pandoc-types-1.17.0.4-r1 
[ebuild   R    ] dev-haskell/doctemplates-0.1.0.2 
[ebuild   R    ] dev-haskell/x509-validation-1.6.5 
[ebuild   R    ] dev-haskell/tls-1.3.11 
[ebuild   R    ] dev-haskell/http-client-tls-0.3.5.1 
[ebuild     U  ] app-text/pandoc-1.19.2.4 [1.19.2.1-r2]
[ebuild     U  ] dev-haskell/pandoc-citeproc-0.11.1.1 [0.10.4.1]
[ebuild   R    ] dev-qt/qtnetwork-5.9.2 
[ebuild   R    ] dev-qt/qtcore-4.8.7-r2 
[ebuild   R    ] www-client/w3m-0.5.3-r9 
[ebuild   R    ] x11-misc/x11vnc-0.9.14_p20161013 
[ebuild   R    ] dev-libs/ace-5.8.3 
[ebuild   R    ] dev-lang/python-2.7.14 
[ebuild   R    ] app-admin/syslog-ng-3.7.3 
[ebuild   R    ] app-crypt/mit-krb5-1.15.2 
[ebuild   R    ] net-misc/rdesktop-1.8.3-r2 
[ebuild   R    ] dev-lang/python-3.4.6 
[ebuild   R    ] dev-python/pycurl-7.43.0 
[ebuild   R    ] sci-biology/trowel-0.1.4.1 
[ebuild   R    ] dev-python/pillow-4.2.1-r1 
[ebuild   R    ] dev-lang/python-3.6.3 
[ebuild   R    ] app-editors/vim-8.0.1188 
[ebuild   R    ] net-vpn/openvpn-2.4.4 
[ebuild   R    ] sys-block/partimage-0.6.9 
[ebuild   R    ] dev-lang/ruby-2.4.2 
[ebuild   R    ] app-crypt/sbsigntool-0.8 
[ebuild   R    ] app-forensics/libewf-20140608 
[ebuild   R    ] app-arch/libarchive-3.3.2 
[ebuild   R    ] sys-fs/cryptsetup-1.7.5 
[ebuild   R    ] net-misc/ssvnc-1.0.29 
[ebuild   R    ] app-crypt/efitools-1.7.0 
[ebuild   R    ] net-nds/openldap-2.4.45 
[ebuild   R    ] x11-base/xorg-server-1.19.5 
[ebuild   R    ] www-client/links-2.14 
[ebuild   R    ] net-analyzer/nmap-7.60 
[ebuild  N     ] dev-db/mysql-connector-c-6.1.9-r1  USE="ssl -static-libs" ABI_X86="32 (64) (-x32)" 
[ebuild   R    ] dev-util/cargo-0.21.0 
[ebuild  N     ] virtual/libmysqlclient-18  USE="-static-libs" ABI_X86="32 (64) (-x32)" 
[ebuild  N     ] sci-libs/plplot-5.12.0-r1  USE="X cairo cxx dynamic fortran gd java jpeg pdf png python qt5 svg tcl threads tk truetype -doc -examples -latex -lua -ocaml -octave -pdl -qhull -shapefile {-test} -wxwidgets" PYTHON_TARGETS="python2_7" 
[ebuild   R    ] dev-qt/qtsql-4.8.7-r1 
[ebuild   R    ] dev-qt/qtsql-5.9.2 
[ebuild  N     ] dev-perl/DBD-mysql-4.41.0-r1  USE="ssl -embedded {-test}" 
[ebuild  N     ] dev-db/mysql-connector-c++-1.1.9  USE="-debug -examples -gcov -static-libs" 
[ebuild   R   #] app-emulation/vmware-player-12.5.7.5813279 
[ebuild   R    ] dev-vcs/git-2.14.2 
[ebuild   R    ] sci-biology/discrover-9999 
[ebuild   R   *] sci-biology/hts-python-9999 
[ebuild   R    ] media-gfx/graphviz-2.40.1 
[ebuild     U  ] sci-mathematics/rstudio-1.0.153 [1.0.136]
[ebuild   R    ] app-text/diffpdf-2.1.3 
[ebuild     U  ] app-text/qpdfview-0.4.17_beta1 [0.4.16]
[ebuild  N     ] dev-db/mariadb-10.2.9  USE="backup bindist cracklib pam perl server xml -debug -embedded -extraengine -galera -innodb-lz4 -innodb-lzo -innodb-snappy -jdbc -jemalloc -kerberos -latin1 -libressl -mroonga -numa -odbc -oqgraph -profiling -rocksdb (-selinux) -sphinx -sst-mariabackup -sst-rsync -sst-xtrabackup -static -static-libs -systemd -systemtap -tcmalloc {-test} -tokudb -yassl" ABI_X86="32 (64) (-x32)" 
[ebuild  N     ] virtual/mysql-5.6-r9  USE="server -embedded -static" 
[ebuild   R    ] dev-libs/redland-1.0.17-r1 
[ebuild   R    ] app-admin/apache-tools-2.4.28 
[ebuild   R    ] app-office/libreoffice-5.4.2.2 
[ebuild   R    ] net-libs/serf-1.3.9 
[ebuild   R    ] sci-biology/emboss-6.6.0-r1 
[ebuild   R    ] net-misc/openssh-7.6_p1 
[ebuild   R    ] app-admin/sudo-1.8.21_p2 
[blocks B      ] dev-db/mariadb[client-libs(+)] ("dev-db/mariadb[client-libs(+)]" is blocking dev-db/mysql-connector-c-6.1.9-r1)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (dev-db/mariadb-10.2.9:0/18::gentoo, ebuild scheduled for merge) pulled in by
    =dev-db/mariadb-10.2*[embedded?,server?,static?] (=dev-db/mariadb-10.2*[server]) required by (virtual/mysql-5.6-r9:0/18::gentoo, ebuild scheduled for merge)

  (dev-db/mysql-connector-c-6.1.9-r1:0/18::gentoo, ebuild scheduled for merge) pulled in by
    dev-db/mysql-connector-c:0/18[static-libs?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?] (dev-db/mysql-connector-c:0/18[abi_x86_32(-),abi_x86_64(-)]) required by (virtual/libmysqlclient-18:0/18::gentoo, ebuild scheduled for merge)


I do not see any USE=client-libs of dev-db/mariadb:


# emerge -pv  dev-db/mariadb

Calculating dependencies... done!
[ebuild  N     ] dev-db/mariadb-10.2.9:0/18::gentoo  USE="backup bindist cracklib pam perl server xml -debug -embedded -extraengine -galera -innodb-lz4 -innodb-lzo -innodb-snappy -jdbc -jemalloc -kerberos -latin1 -libressl -mroonga -numa -odbc -oqgraph -profiling -rocksdb (-selinux) -sphinx -sst-mariabackup -sst-rsync -sst-xtrabackup -static -static-libs -systemd -systemtap -tcmalloc {-test} -tokudb -yassl" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild  N     ] virtual/mysql-5.6-r9:0/18::gentoo  USE="server -embedded -static" 0 KiB
[ebuild  N     ] virtual/libmysqlclient-18:0/18::gentoo  USE="-static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild  N     ] dev-perl/DBD-mysql-4.41.0-r1::gentoo  USE="ssl -embedded {-test}" 0 KiB


So you force me to use dev-db/mysql-connector-c. Still I do not understand why 'emerge @preserved-rebuild --backtrack=30000 --keep-going' is not able to overcome this situation.
Comment 1 Brian Evans Gentoo Infrastructure gentoo-dev 2018-03-01 13:51:18 UTC
You should be fully up-to-date with 'emerge -avuDN @world' before doing @preserved-rebuild